package com.djhk.uav.uav.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.djhk.uav.airspace.domain.UavOperator;
import com.djhk.uav.uav.domain.UavOperatorExportVo;

import java.util.List;

/**
 * 飞手管理Service接口
 *
 * @author jiachengshuai
 * @date 2022-08-30
 */
public interface IUavOperatorService extends IService<UavOperator>
{
    /**
     * 查询飞手管理
     *
     * @param id 飞手管理主键
     * @return 飞手管理
     */
    public UavOperator selectUavOperatorById(Long id);

    /**
     * 查询飞手管理列表
     *
     * @param uavOperator 飞手管理
     * @return 飞手管理集合
     */
    public List<UavOperator> selectUavOperatorList(UavOperator uavOperator);

    /**
     * 新增飞手管理
     *
     * @param uavOperator 飞手管理
     * @return 结果
     */
    public int insertUavOperator(UavOperator uavOperator);

    /**
     * 修改飞手管理
     *
     * @param uavOperator 飞手管理
     * @return 结果
     */
    public int updateUavOperator(UavOperator uavOperator);

    /**
     * 批量删除飞手管理
     *
     * @param ids 需要删除的飞手管理主键集合
     * @return 结果
     */
    public int deleteUavOperatorByIds(Long[] ids);

    /**
     * 删除飞手管理信息
     *
     * @param id 飞手管理主键
     * @return 结果
     */
    public int deleteUavOperatorById(Long id);

    public List<UavOperator> selectUavOperatorExportList(UavOperatorExportVo uavOperatorExportVo);

}
